Name:		mailfront-plugin-add-track-auth-sender
Summary:	A mailfront plugin to provide an ability to add authenticated sender information to message headers
Version:	0.01
Release:	1%{?dist}
License:	GPL
Group:		Utilities/System
Source:		http://choon.net/opensource/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	gcc >= 3.4.6, make, bglibs-devel >= 1.104, mailfront-devel >= 1.12
Requires:	bglibs >= 1.104, mailfront >= 1.12, ucspi-tcp >= 0.88
URL:		http://choon.net/mailfront-plugin-add-track-auth-sender.php

%description
Plugin: add-track-auth-sender

A mailfront plugin to provide an ability to add authenticated sender to
message header with each line header message prefixed if $TRACK_AUTH_SENDER
environment variable is set and not empty. Otherwise it will be set to
"X-AntiAbuse: " without quotes. If $TRACK_AUTH_SENDER_HEADER is set and not
empty, this value will be added to the mail header first once otherwise it
will use the following without any newlines:

X-AntiAbuse: This header was added to track abuse, please include it with any abuse report

IMPORTANT: This plugin is written for and tested with mailfront 2.00 but
should work with version 1.12 and above.


%prep
%setup -q
# conf-bgincs default is /usr/local/bglibs/include
# conf-bglibs default is /usr/local/bglibs/lib
# conf-ld default is gcc -s -L/usr/local/lib
echo "gcc -s -rdynamic" >conf-ld
# conf-mailfrontincs default is /usr/local/include/mailfront
echo %{_includedir}/mailfront > conf-mailfrontincs
# conf-modules default is /usr/local/lib/mailfront
echo %{_libdir}/mailfront > conf-modules
#echo "gcc %{optflags}" >conf-cc
# conf-ccso default is gcc -W -Wall -Wshadow -O -g -I/usr/local/include -fPIC -shared
#echo "gcc %{optflags} -fPIC -shared" >conf-ccso
#echo %{_bindir} >conf-bin
#echo %{_libdir}/mailfront >conf-modules
#echo %{_includedir} >conf-include

%build
make

%install
rm -fr %{buildroot}
mkdir -p %{buildroot}/%{_libdir}/mailfront
install -m0755 plugin-add-track-auth-sender.so %{buildroot}/%{_libdir}/mailfront/
#make install_prefix=%{buildroot} install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README COPYING CHANGES plugin-add-track-auth-sender.html
#%{_bindir}/*
%{_libdir}/mailfront/plugin-add-track-auth-sender.so

%changelog

* Mon May 06 2013 Giam Teck Choon <choonrpms@choon.net> - 0.01-1
- Initial Release
